# Uses of Enum Class
org.bukkit.entity.TropicalFish.Pattern

Packages that use TropicalFish.Pattern
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of TropicalFish.Pattern in org.bukkit.entity

Methods in org.bukkit.entity that return TropicalFish.Pattern
Modifier and Type
Method
Description
`@NotNull TropicalFish.Pattern`
TropicalFish.`getPattern()`
Gets the fish's pattern.
`static TropicalFish.Pattern`
TropicalFish.Pattern.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TropicalFish.Pattern[]`
TropicalFish.Pattern.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type TropicalFish.Pattern
Modifier and Type
Method
Description
`void`
TropicalFish.`setPattern(@NotNull TropicalFish.Pattern pattern)`
Sets the fish's pattern

## Uses of TropicalFish.Pattern in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return TropicalFish.Pattern
Modifier and Type
Method
Description
`TropicalFish.Pattern`
TropicalFishBucketMeta.`getPattern()`
Gets the fish's pattern.
Methods in org.bukkit.inventory.meta with parameters of type TropicalFish.Pattern
Modifier and Type
Method
Description
`void`
TropicalFishBucketMeta.`setPattern(TropicalFish.Pattern pattern)`
Sets the fish's pattern.